local tribes = { }
tribes["blood elf"]   = { }
tribes["death knight"] = { "blood elf", "draenei", "dwarf", "gnome", "goblin", "half elf", "high elf", "human", "night elf", "orc", "tauren", "troll", "worgen" }
tribes["draenei"]     = { }
tribes["dwarf"]       = { "dark iron", "wildhammer", "bronzebeard", "frostborn", "stonefist", "stormpike", "mountain", "hill" }
tribes["gnome"]       = { }
tribes["goblin"]      = { }
tribes["half elf"]    = { }
tribes["half orc"]    = { }
tribes["high elf"]    = { }
tribes["human"]       = { }
tribes["night elf"]   = { }
tribes["orc"]         = { "fel", "brown" }
tribes["pandaren"]    = { "huojin", "tushui" }
tribes["tauren"]      = { "highmountain", "bloodhoof", "dawnstrider", "grimtotem", "mistrunner", "ragetotem", "runetotem", "skychaser", "stonehoof", "thunderhorn", "wildmane", "winterhoof", "clawhoof" }
tribes["troll"]       = { "island", "forest", "jungle", "ice", "desert", "" }
tribes["undead"]      = mergeTables(replicate(5, "human"), replicate(2, "high elf"), replicate(1, "blood elf"))
tribes["worgen"]      = { }

-- Name displayed for the Tribe trait.
local context	= { }
context["blood elf"]  = ""
context["death knight"] = "Died as"
context["draenei"]    = ""
context["dwarf"]      = "Clan"
context["gnome"]      = ""
context["goblin"]     = ""
context["half elf"]   = ""
context["half orc"]   = ""
context["high elf"]   = ""
context["human"]      = ""
context["night elf"]  = ""
context["orc"]        = "Clan"
context["pandaren"]   = "Faction"
context["tauren"]     = "Clan"
context["troll"]      = "Subrace"
context["undead"]     = "Died as"
context["worgen"]     = ""


function generateRandomTribe(characterTemplate)
  return randomFrom(tribes[characterTemplate.getRace()]) or ""
end

function getTribeContext(race)
	return context[race] or ""
end