-- Blood Elf could use a checkup and expansion.
local bloodelfFirst   = {
	arth 	  = {   "male" },	arthen 	= {   "male" },	dost 	  = {   "male" },	loth 	  = {   "male" },
	math 	  = {   "male" }, nic     = {   "male" },
	
	erin 	  = { "female" },	ith 	  = { "female" },	ker     = { "female" }, kir     = { "female" },
	lyr     = { "female" },

	ast     = {    "any" }, leth 	  = {    "any" },	lun 	  = {    "any" }, mal			= {    "any" },
  num  	  = {    "any" }, syl		  = {    "any" }, val     = {    "any" },	ver     = {    "any" },
  zen  	  = {    "any" },
}
local bloodelfFirst2  = { 
	adros 	= {   "male" },	ario 	  = {   "male" }, arion 	= {   "male" },	eas 	  = {   "male" },
	endris 	= {   "male" }, eneth   = {   "male" }, alor    = {   "male" },
	
	alia 	  = { "female" },	anas		= { "female" },	ania 	  = { "female" },	driel	  = { "female" },
	eera		= { "female" },	eesa    = { "female" }, endriel = { "female" },	ia  	  = { "female" },
	iren 	  = { "female" }, issa    = { "female" },
	
	inas 	  = {    "any" },
}
local bloodelfLast    = {
	"bright",	      "blood",		  "dark",			"dawn",
     "day",		     "dusk",			"hawk",			"fire",
	 "heart",	 	     "heat",		 "light",		"shadow",
     "sol",      "sorrow",		   "sun",			"wind",
}
local bloodelfLast2   = {
	  "blade",		"bringer",	  "chaser",		 "child",
	  "crest",		 "dancer",	  	"dawn",			"fire",
	   "hawk",			"heart",		"reaver",	  	"rose",
   "runner", 	  "shimmer",	  "singer",		"sorrow",		
     "star",   	"strider",	   "sworn",	 "treader",
	  "valor",    "watcher",	  "weaver",		  "wing",
    "wrath",
}

-- Draenei should be redone entirely!
local draeneiFirst    = {
	aal 	= {    "any" }, alen 	  = {    "any" }, aldri 	= {    "any" }, akh     = {   "male" }, 
	ald 	= { "female" },	aluum 	= {   "male" },	aur 	  = {    "any" }, caed    = {   "male" },
  vel   = {   "male" }, gan     = {    "any" }, irha    = { "female" }, luna    = {    "any" },
}
local draeneiFirst2   = { 
	stos	= {   "male" }, 	uun 	= {    "any" }, am		  = {   "male" }, ren     = {    "any" },
	ula 	= { "female" },   tra   = { "female" }, ius     = {   "male" }, is      = { "female" },
}
local draeneiLast     = { } -- Draenei don't use last names.
local draeneiLast2    = { } -- Draenei don't use last names.

-- Dwarf seems alright.
local dwarfFirst      = { 
	brann	    = {   "male" },	moira		  = { "female" },		ragnar 		= {   "male" },	modimus		= {   "male" },
	magni	    = {   "male" },	muradin 	= {   "male" },		tharas 		= {   "male" },	hjalmar		= {   "male" },
	madoran   = {   "male" },	baelgun 	= {   "male" },		rom			  = {   "male" },	rohan		  = {   "male" },
	vanndar   = {   "male" },	falstad 	= {   "male" },		khardros 	= {   "male" },	kurdran 	= {   "male" },
	maz 	    = {   "male" },	dagran		= {   "male" },		modgud		= {   "male" },	franclorn	= {   "male" },
	ake 	    = {   "male" },	arvid		  = {   "male" },		asger		  = {   "male" },	audun		  = {   "male" },
	bard	    = {   "male" },	bjarke		= {   "male" },		brajre		= {   "male" },	bjorn		  = {   "male" },
	brandt	  = {   "male" },	canute		= {   "male" },		calder		= {   "male" },	brynjar		= {   "male" },
	colborn   = {   "male" },	cuyler		= {   "male" },		dag			  = {   "male" },	dagfinn		= {   "male" },
	desrin	  = {   "male" },	eerikki 	= {   "male" },		egil		  = {   "male" },	einar		  = {   "male" },
	eindride  = {    "any" },	eirik		  = {   "male" },		elof		  = {   "male" },	eluf		  = {   "male" },
	endre	    = {    "any" },	erlend		= {   "male" },		frey 		  = {    "any" },	folke		  = {   "male" },
	garth	    = {   "male" },	geir		  = {   "male" },		hackett		= {   "male" },	halstein	= {   "male" }, 
	halvar	  = {   "male" },	halvor		= {   "male" },		hammond		= {   "male" },	haskell		= {   "male" },
	havardr   = {   "male" },	heirleif 	= {   "male" },		hjalmar		= {   "male" },	ingvar		= {   "male" },
	jari	    = {   "male" },	kare		  = {    "any" },		kelby		  = {    "any" },	kettil		= {   "male" },
	kustaa	  = {    "any" },	loki		  = {   "male" },		lamont		= {   "male" },	olaf		  = {   "male" },
	olavi	    = {   "male" },	olin		  = {   "male" },		oluf		  = {   "male" },	ove			  = {   "male" },
	rangvald  = {   "male" },	raoul		  = {   "male" },		roscoe		= {   "male" },	stein		  = {   "male" },
	stian 	  = {   "male" }, stigr		  = {   "male" },		sture		  = {   "male" },	sveinn		= {   "male" },
	tarben	  = {   "male" },	thorpe		= {   "male" },		tore		  = {   "male" },	vali		  = {   "male" },
	ulf 	    = {   "male" }, vernon 	  = {   "male" }, 	vidar 		= {   "male" }, welch 		= {   "male" },

	alfild	  = { "female" }, alva		  = { "female" },		alvilda		= { "female" },	ase 		  = { "female" },
	aslaug	  = { "female" },	asta		  = { "female" },		audhild		= { "female" },	bergljot	= { "female" },
	boddhi	  = { "female" }, borghild 	= { "female" },		dagmar		= { "female" }, dagny		  = { "female" }, 
	eerika	  = { "female" }, eira		  = { "female" },		embla		  = { "female" }, eydis		  = { "female" }, 
	freya	    = { "female" },	freja		  = { "female" },		gerd		  = { "female" },	gunborg		= { "female" }, 
	gunhild   = { "female" },	gunhilda 	= { "female" },		gunhilde	= { "female" },	gunilla		= { "female" }, 
	gyda	    = { "female" }, hege		  = { "female" },		hekla		  = { "female" }, helga		  = { "female" }, 
	helka	    = { "female" }, hillevil 	= { "female" },		hertha		= { "female" },	hildevild	= { "female" }, 
	inge	    = { "female" }, ingborg 	= { "female" }, 	ingeborg	= { "female" },	inger		  = { "female" }, 
	inkeri	  = { "female" },	iona		  = { "female" },		jorun		  = { "female" },	jorunn		= { "female" }, 
	kari	    = { "female" }, karme		  = { "female" },		magnhild	= { "female" },	maghild 	= { "female" }, 
	oili	    = { "female" }, olga		  = { "female" },		oydis		  = { "female" },	oidys		  = { "female" }, 
	ragna	    = { "female" },	ragnhild 	= { "female" }, 	runa		  = { "female" }, saga		  = { "female" }, 
	sigfried  = { "female" }, sigfrid 	= { "female" }, 	sigfraud	= { "female" }, signy 		= { "female" }, 
	sigrid    = { "female" },	sigrun		= { "female" }, 	siri		  = { "female" }, siv			  = { "female" }, 
	solveig   = { "female" }, solvegga 	= { "female" }, 	solveigan	= { "female" }, solvi		  = { "female" }, 
	sylvi	    = { "female" }, sylva		  = { "female" }, 	thora		  = { "female" }, tora		  = { "female" }, 
	tyra	    = { "female" }, thyra		  = { "female" }, 	torborg		= { "female" }, thorborg	= { "female" }, 
	torhild   = { "female" }, thorhild 	= { "female" }, 	tove 		  = { "female" }, turid 		= { "female" }, 
	tyra	    = { "female" }, unn 		  = { "female" }, 	ylva 		  = { "female" }, ylvenga 	= { "female" }, 
	yliva   	= { "female" }
}
local dwarfFirst2     = { } -- Dwarves won't use these.
local dwarfLast       = { 
	"bronze",	   "iron",		"wild", "dragon",
	 "storm",	  "anvil",	"hammer",	   "axe",
	"copper",	  "frost"
}
local dwarfLast2      = { 
	"hammer", 	"beard",	"cutter", 	"stout",
	 "forge",  "wright",	"reaver",	  "pike",
	  "born",		  "axe"
}

-- Gnome males need more first names. Also needs more andro.
local gnomeFirst      = { 
	twix		= { "female" }, kalimble 	= { "female" }, bixikin		= { "female" }, eylonna		= { "female" },
	nemi		= { "female" }, nemy		  = { "female" }, royan		  = { "female" },	maerlyan 	= { "female" },
	salyra  = { "female" },	alira		  = { "female" },	tinalani 	= { "female" }, berlena		= { "female" },
	tilli		= { "female" },	tixle		  = { "female" }, twixle		= { "female" },	lizalia		= { "female" },
	efty		= { "female" },	jessabit	= { "female" }, racki		  = { "female" },	pondy		  = { "female" },
	kalilly = { "female" },	trick		  = { "female" },	trixsy		= { "female" }, milla		  = { "female" },
	nekka		= { "female" }, likka		  = { "female" }, rikka		  = { "female" }, cilla		  = { "female" },
	nilla		= { "female" }, kexie		  = { "female" }, nexie		  = { "female" }, texie		  = { "female" }, 
	lexie		= { "female" }, pexie		  = { "female" }, piie		  = { "female" }, jexie		  = { "female" }, 
	jilla		= { "female" }, jella		  = { "female" }, trifty		= { "female" }, mifty	  	= { "female" },
	timsy		= { "female" }, limsy		  = { "female" }, ninsy	  	= { "female" }, minsy	  	= { "female" }, 
	tinsy		= { "female" }, nemsy		  = { "female" }, linsy	  	= { "female" }, mickle		= { "female" }, 
	nenna		= { "female" }, penna		  = { "female" }, menna	  	= { "female" }, lenna	  	= { "female" }, 
	tenna		= { "female" }, senna		  = { "female" }, sanna	  	= { "female" }, lanna	  	= { "female" }, 
	tanna		= { "female" }, kiara     = { "female" }, darra     = { "female" }, zita      = { "female" },
  jinxy   = { "female" }, lily     = {  "female" }, penny     = { "female" }, tina      = { "female" },

	gelbin  = {   "male" }, kilton    = {   "male" }, becken    = {   "male" }, sparkholm = {   "male" },
  wilholm = {   "male" }, cogford   = {   "male" }, bibble    = {   "male" }, belvin    = {   "male" },
  boby    = {   "male" }, melwin    = {   "male" }, whitkin   = {   "male" }, belius    = {   "male" },
  arno    = {   "male" }, beagan    = {   "male" }, cerin     = {   "male" }, coty      = {   "male" },
  gair    = {   "male" }, gavin     = {   "male" }, giles     = {   "male" }, girvin    = {   "male" },
  goban   = {   "male" }, hewitt    = {   "male" }, iven      = {   "male" }, keegan    = {   "male" },
  kern    = {   "male" }, killian   = {   "male" }, lorcan    = {   "male" }, mainchin  = {   "male" },
  malin   = {   "male" }, miki      = {   "male" }, rordan    = {   "male" }, tomlin    = {   "male" },
  bingles = {   "male" }, bink      = {   "male" }, gigget    = {   "male" }, herble    = {   "male" },
  krankle = {   "male" }, gnorbitt  = {   "male" }, knaz      = {   "male" }, nibert    = {   "male" },
  simon   = {   "male" }, toby      = {   "male" }, ziggy     = {   "male" }, wizzle    = {   "male" },
  felix   = {   "male" }, bragget   = {   "male" }, sonny     = {   "male" }, marlo     = {   "male" },
  rondo   = {   "male" }, curtis    = {   "male" }, mermin    = {   "male" }, canwan    = {   "male" },
  arval   = {   "male" }, arvil     = {   "male" }, caden     = {   "male" }, cas       = {   "male" },
  emiyn   = {   "male" }, gavin     = {   "male" }, maddox    = {   "male" }, gearoid   = {   "male" },
  
	
	timble	= {    "any" }, renny     = {    "any" }, bixi      = {    "any" }, lil       = {    "any" },
}
local gnomeFirst2     = { } -- Gnomes won't use these.
local gnomeLast       = {
    "boom",			"air",		  "great",		 "spin",
   "flexi",		"spark",     "master",		 "bomb",
   "steam",	 "torque",	     "mana",	 "fizzle",
	"therma",  "thermo", "enhance-o-",	"sparkle",
 "mechano",	   "mech",		"trigger",	 "tinker",
 "electro",    "wizz",     "wobble"
}
local gnomeLast2      = { 
	"blaster",	       "cog",		 "cogs",	"slicer",
	   "gear", "chickenizer", 	"pistol",  "plugg",
	 "rigger",       "storm", 		"bang", "torque",
	"trigger",	      "bomb",	"sprocket",	 "blast",
	  "scope",		     "jet",     "fizz"
}

-- Goblin needs some verification. And needs a few more andro.
local goblinFirst     = {
	bex   = { "female" },	bix   = { "female" },	gig   = { "female" },	jax   = { "female" },
	lib   = { "female" },	lux	  = { "female" },	mim   = { "female" },	miz   = { "female" },
	mox   = { "female" },	myz   = { "female" },	nez   = { "female" },	quiz  = { "female" },
	rha   = { "female" }, rix   = { "female" },	rox   = { "female" },	saz   = { "female" },
	ser	  = { "female" },	tur   = { "female" },	zix   = { "female" },	zun   = { "female" },
	
	blitz = {   "male" },	cor   = {   "male" },	craz  = {   "male" },	fix   = {   "male" },
	fizz  = {   "male" },	jarp  = {   "male" },	kept  = {   "male" },	kizz  = {   "male" },
	krem  = {   "male" },	lazz  = {   "male" }, nox   = {   "male" }, grix  = {   "male" },
  jix   = {   "male" }, kiz   = {   "male" }, zee   = {   "male" }, gix   = {   "male" },
	
	gob   = {    "any" }
}
local goblinFirst2    = {
	zi    = { "female" },	zee   = { "female" },	ie     = { "female" }, si     = { "female" },
	za    = { "female" }, zy    = { "female" }, aels   = { "female" }, xi     = { "female" },
  sy    = { "female" }, ye    = { "female" }, iz     = { "female" }, liz    = { "female" },
	
	le    = {   "male" },	ix    = {   "male" },	ax     = {   "male" }, lex    = {   "male" },
	er    = {   "male" }, ex    = {   "male" }, ek     = {   "male" }, mo     = {   "male" },
  raz   = {   "male" }, ez    = {   "male" }, ink    = {   "male" }, vin    = {   "male" },
	
	ee    = {    "any" },	exie	= {    "any" }, ixie   = {   "ixie" }, tee    = {    "any" },
}
local goblinLast      = {
      "cog",	 "screw",	  "hammer",	    "oily",	   "gyro",			"spring",
	"clatter",	"grease",	   "steam",	    "bomb",	"inverse",	     "mecha",
   "buckle",	"sprung",	  "zapper",	    "fuse",		"blast",		    "boom",
	   "bolt",	 "blunt",	   "brass",	    "brim",		 "buck",			  "brew",
	  "quick",	 "cable",	  "copper",	   "cross",	  "dizzy",		    "drip",
	    "far",		"fast",	     "fiz",		   "gag",		 "gear"
}
local goblinLast2     = {
	 "shiner",		 "fix",		 "fixer",		"hammer",	"spanner",	    "bucket",
 "sprocket", "grabber",	 "thrower",	  "spring",	   "shot",			  "bolt",
	   "wire",	"racket",		 "throw",	     "cog",	   "bomb",			"wrench",
	"wringer",	"torque",		"fizzle",		  "fuse",		"blast",		 "whizzle",
	 "strike",		"boom",			"snap",		 "swing",	"tumbler",	    "buzzle",
	  "quick",	   "nut",    "pinch",		  "plug",		  "wig",			 "valve",
	"flinger",	 "spurt",	 "spinner",	  "rubber"
}

-- Human needs more first names for both male and female, as well as any.
local humanFirst      = { 
	david		  = {   "male" }, bob			    = {   "male" },	arthas	  = {   "male" },	tirion	  = {   "male" },
	derek 	  = {   "male" }, varian		  = {   "male" },	darion	  = {   "male" },	daelin	  = {   "male" },
	anduin	  = {   "male" }, benedict 	  = {   "male" }, john      = {   "male" },	merry     = {   "male" },
	roderick  = {   "male" }, broderick   = {   "male" }, ben       = {   "male" }, blake     = {   "male" },
	liam      = {   "male" }, benjamin    = {   "male" }, chris     = {   "male" }, gerard    = {   "male" },
	fenegan   = {   "male" }, ron         = {   "male" }, sean      = {   "male" }, tim       = {   "male" },
	rob       = {   "male" }, trent       = {   "male" }, vincent   = {   "male" }, acton     = {   "male" },
  aidan     = {   "male" }, aldred      = {   "male" }, alwyn     = {   "male" }, barney    = {   "male" },
  baxter    = {   "male" }, berkeley    = {   "male" }, bryce     = {   "male" }, cary      = {   "male" },
  cerdic    = {   "male" }, clive       = {   "male" }, chester   = {   "male" }, derian    = {   "male" },
  devyn     = {   "male" }, denton      = {   "male" }, douglas   = {   "male" }, edlin     = {   "male" },
  eldred    = {   "male" }, emmet       = {   "male" }, edgar     = {   "male" }, errol     = {   "male" },
  eldon     = {   "male" }, elmer       = {   "male" }, faran     = {   "male" }, floyd     = {   "male" },
  fenton    = {   "male" }, fletcher    = {   "male" }, ford      = {   "male" }, geoff     = {   "male" },
  graham    = {   "male" }, gram        = {   "male" }, godwine   = {   "male" }, godry     = {   "male" },
  gareth    = {   "male" }, holt        = {   "male" }, halt      = {   "male" }, hugh      = {   "male" },
  hall      = {   "male" }, irwin       = {   "male" }, ivor      = {   "male" }, jarvin    = {   "male" },
  jarvis    = {   "male" }, jeffrey     = {   "male" }, kenton    = {   "male" }, kendrick  = {   "male" },
  lynn      = {   "male" }, lucan       = {   "male" }, lyndon    = {   "male" }, lloyd     = {   "male" },
  merton    = {   "male" }, morton      = {   "male" }, norton    = {   "male" }, neville   = {   "male" },
  nerian    = {   "male" }, osmond      = {   "male" }, oswin     = {   "male" }, pearce    = {   "male" },
  piers     = {   "male" }, paxton      = {   "male" }, rowan     = {   "male" }, ryce      = {   "male" },
  randolf   = {   "male" }, sherwyn     = {   "male" }, stuart    = {   "male" }, stephan   = {   "male" },
  tredan    = {   "male" }, tedman      = {   "male" }, ted       = {   "male" }, robert    = {   "male" },
  verge     = {   "male" }, wilfred     = {   "male" }, wilbur    = {   "male" }, wallis    = {   "male" },
	
	
	jaina 	  = { "female" }, maria 		= { "female" }, emilia	  = { "female" }, emma        = { "female" },
	mary 		  = { "female" }, mary_sue 	= { "female" }, marie     = { "female" }, gloria      = { "female" },
	anna      = { "female" }, lisbeth   = { "female" }, elizabeth = { "female" }, laura	  	  = { "female" },
	anne		  = { "female" }, ann       = { "female" }, celestine = { "female" }, gwen        = { "female" },
	magda     = { "female" }, melinda   = { "female" }, myriam    = { "female" }, myra        = { "female" },
	maura     = { "female" }, astrid    = { "female" }, miriam    = { "female" }, enna        = { "female" },
	mia       = { "female" }, almyra    = { "female" }, amelia    = { "female" }, karen       = { "female" },
	willa     = { "female" }, cynthia   = { "female" }, samantha  = { "female" }, tess        = { "female" },
  arlette   = { "female" }, augusta   = { "female" }, annie     = { "female" }, becky       = { "female" },
  bree      = { "female" }, bridget   = { "female" }, cate      = { "female" }, catheryn    = { "female" },
  clover    = { "female" }, darlene   = { "female" }, dawn      = { "female" }, doris       = { "female" },
  eda       = { "female" }, edith     = { "female" }, elene     = { "female" }, esma        = { "female" },
  fanny     = { "female" }, felice    = { "female" }, felicia   = { "female" }, florence    = { "female" },
  gemma     = { "female" }, georgina  = { "female" }, gillian   = { "female" }, gwen        = { "female" },
  harriet   = { "female" }, henrietta = { "female" }, joan      = { "female" }, jody        = { "female" },
  katie     = { "female" }, kendra    = { "female" }, leila     = { "female" }, lilian      = { "female" },
  linette   = { "female" }, lois      = { "female" }, lora      = { "female" }, loretta     = { "female" },
  lynette   = { "female" }, lynna     = { "female" }, mae       = { "female" }, maud        = { "female" },
  may       = { "female" }, megan     = { "female" }, mona      = { "female" }, norma       = { "female" },
  odelyn    = { "female" }, odette    = { "female" }, peggy     = { "female" }, petra       = { "female" },
  philippa  = { "female" }, polly     = { "female" }, phyllis   = { "female" }, roxanne     = { "female" },
  silvia    = { "female" }, thea      = { "female" }, verona    = { "female" }, veronica    = { "female" },
  whitney   = { "female" }, selma     = { "female" }, evelyn    = { "female" }, meredith    = { "female" },
  
	
	robin		  = {    "any" }, bobb			= {    "any" }, sam       = {    "any" }, adrian      = {    "any" },
  ashley    = {    "any" }, bailey    = {    "any" }, corey     = {    "any" }, drew        = {    "any" },
  dylan     = {    "any" }, harley    = {    "any" }, julian    = {    "any" }, lane        = {    "any" },
}
local humanFirst2     = { } -- Humans don't need second parts that much.
local humanLast       = { 
	"Kendall",		"Burton",			"Lindsey",		"Alvingham",	"Stonebridge",	"Smithe",
	"Tyndall",		"Landon",			"Hamet",			"Sutton",			"Cromwell",			"Middleton",
	"Appleton",		"Reed",				"Bentley",		"Rischer",		"Whatleigh",		"Addington",
	"Cullen",			"Curtis",			"Danell",			"Derreck",		"Darby",				"Dwight",
	"Easton",			"Eccleston",	"Elmer",			"Elwin",			"Fairbairn",		"Farnham",
	"Faulkner",		"Fletcher",		"Garey",			"Garland",		"Garner",				"Garnett",
	"Giles",			"Glover",			"Godfrey",		"Goodwin",		"Haden",				"Hailey",
	"Harford",		"Herlow",			"Hart",				"Harvey",			"Henson",				"Hewitt",
	"Hobbes",			"Hopkins",		"Horne",			"Ivers",			"Jacobson",			"Jamison",
	"Jervis",			"Keighley",		"Kendrick",		"Kirby",			"Lacey",				"Langley",
	"Lawrence",		"Lawson",			"Leavitt",		"Ledford",		"Lockwood",			"Lynwood",
	"Lyon",				"Martins",		"Matterson",	"Mayes",			"Midgley",			"Moore",
	"Morison",		"Nilson",			"Norton",			"Norwood",		"Oakley",				"Outeridge",
	"Ogden",			"Palmer",			"Parker",			"Parrish",		"Payne",				"Pitts",
	"Polley",			"Pryor",			"Putnam",			"Priestley",	"Quincey",			"Raines",
	"Rake",				"Reed",				"Rennold",		"Rey",				"Reynell",			"Ridley",
	"Robbertson",	"Roderick",		"Rodgers",		"Samson",			"Sanderson",		"Sands",
	"Saige",			"Scriven",		"Seabrooke",	"Seaver",			"Sempers",			"Seymoore",
	"Sharman",		"Shaw",				"Shelton",		"Simons",			"Smythe",				"Spooner",
	"Stafford",		"Stroud",			"Strudwick",	"Summer",			"Tash",					"Tanner",
	"Taylor",			"Thacker",		"Thompsett",	"Thorburn",		"Thrussel",			"Tifft",
	"Tinker",			"Tipton",			"Travis",			"Truman",			"Tucker",				"Tyrel",
	"Underwood",	"Upton",			"Vance",			"Wade",				"Waller",				"Walters",
	"Warren",			"Weaver",			"Wesley",			"West",				"Wilbur",				"Wilmer",
	"Wilson",			"Woodhams",		"Wootton",		"Wray",				"Wrights",			"Clark",
	"Derrington",	
}
local humanLast2      = { } -- Humans won't need these. Names look better without.

-- Night elves need a lot of new names.
local nightelfFirst   = {
	al     = { "female" }, aman   = { "female" }, amn    = { "female" },
  an     = { "female" }, aran   = { "female" }, arav   = { "female" }, 
  el     = { "female" }, erud   = { "female" }, es     = { "female" }, 
  ianth  = { "female" }, 
  il     = { "female" }, im     = { "female" }, ki     = { "female" }, 
  laur   = { "female" }, 
  lor    = { "female" }, ly     = { "female" }, 
  mael   = { "female" }, me     = { "female" }, minu   = { "female" }, 
  mir    = { "female" }, 
  myla   = { "female" }, 
  phi    = { "female" }, 
  syn    = { "female" }, synd   = { "female" }, syr    = { "female" },
  sylv   = { "female" }, syv    = { "female" }, 
  taen   = { "female" }, tyr    = { "female" },
  
	malfurion = { "male" }, --tyrande = { "female" }
}
local nightelfFirst2  = {
  adia   = { "female" }, ana    = { "female" }, 
  ande   = { "female" }, ae     = { "female" }, aena   = { "female" }, 
  aina   = { "female" }, 
  ara    = { "female" }, 
  ari    = { "female" }, ariel  = { "female" }, asha   = { "female" },
  caia   = { "female" }, cia    = { "female" }, cis    = { "female" }, 
  elle   = { "female" }, enel   = { "female" }, eriel  = { "female" }, 
  esse   = { "female" }, estri  = { "female" }, estria = { "female" }, 
  ima    = { "female" }, ira    = { "female" },
  iriel  = { "female" }, 
  istrae = { "female" },
  izael  = { "female" }, ora    = { "female" }, 
  ria    = { "female" }, reth   = { "female" }, riel   = { "female" }, 
  vae    = { "female" }, 
  yae    = { "female" }, yana   = { "female" }
  
  --male = { "male" }, --female = { "female" }
}
local nightelfLast    = { 
	"whisper",		"moon",			"glade",		"storm",
	"rain",				"night",		"morning",	"stag",
	"shadow",			"raven",		"star",			"ever",
	"feather",		
}
local nightelfLast2   = { 
	"wind",			"whisper",		"leaf",			"moon",
	"song",			"glade",			"rage",			"helm",
	"crest",		"eye",				"shade",		"mantle",
}

local orcFirst        = {
	au    = { "female" },	brou  = { "female" },	da    = { "female" },	drig  = { "female" },
	og    = { "female" },	dhau  = { "female" },	meur  = { "female" },	mal   = { "female" },
	mo    = { "female" }, od    = { "female" },	ork   = { "female" },	pir   = { "female" },
	pri   = { "female" },	ra    = { "female" },	kul   = { "female" },	kho   = { "female" },
	ju    = { "female" },	su    = { "female" },	sul   = { "female" }, tru   = { "female" },
	vri   = { "female" },	vek   = { "female" }, war   = { "female" },	xu	  = { "female" },
	ya    = { "female" },	nul   = { "female" },
	
	bo    = {   "male" },	car   = {   "male" },	cor   = {   "male" },	dak   = {   "male" },	
	gar   = {   "male" },	ko    = {   "male" },	mu    = {   "male" },	go    = {   "male" },	
	tar   = {   "male" },	ul    = {   "male" },	vak   = {   "male" },	ul    = {   "male" },	
	ril   = {   "male" },	tor   = {   "male" },	olm   = {   "male" },	ro    = {   "male" },
	
	vlor  = {    "any" },	mar		= {    "any" }, dar   = {    "any" }, dom   = {    "any" }
}
local orcFirst2       = {
	gha   = { "female" },	gruga = { "female" },	rgha  = { "female" },	gra   = { "female" },
	ka    = { "female" },	kha   = { "female" },	lagh  = { "female" },	dha   = { "female" },
	dagh  = { "female" }, gka   = { "female" },	kath  = { "female" },	gi    = { "female" },
	guka  = { "female" }, ru    = { "female" },	luha  = { "female" }, ruba  = { "female" },
	tja   = { "female" },	larg  = { "female" },
	
	guk   = {   "male" },	gak   = {   "male" },	gu    = {   "male" },	goth   = {   "male" },	
	gath  = {   "male" },	lub   = {   "male" },	gragh = {   "male" },	gen    = {   "male" },	
	lag   = {   "male" },	ge    = {   "male" },	ekk   = {   "male" },	gar    = {   "male" },	
	gan   = {   "male" },	lorgh = {   "male" },	uul   = {   "male" },	ghed   = {   "male" },	
	augh  = {   "male" },	
	
	lug   = {    "any" },	zug   = {    "any" }, guul  = {    "any" }
}
local orcLast         = {
	"blood",		"hell",		"axe",		"death",	
	"stone",		"red",		"fear",		"teeth",
	"doom",			"child",	"mace",
}
local orcLast2        = {
	"bringer",	"monger",	"killer",		"eater",
	"rager",		"rage",		"skull",		"axe",
	"breaker",	"blade",	"gnasher",	"hammer",
	"tide",			"burner",	"slasher",	"smasher",
	"scream"
}

-- Pandaren seems alright.
local pandarenFirst   = { 
	chen	= {   "male" },	li	= { "female" },	jin		= {   "male" },	jun	  = {   "male" }, 
	sin		= {   "male" }, mei	= { "female" },	shui	= { "female" },	wu	  = {    "any" },
	xin		= {   "male" }, lin = { "female" }, shu   = {   "male" }, bong  = {   "male" },
  aysa  = { "female" }
}
local pandarenFirst2  = { 
	_xu		= {    "any" },	_li	= {    "any" },	_lu		= {    "any" },	_liu  = { "female" },
	_wu   = {   "male" }
}
pandarenFirst2[""]    = { "any" }
local pandarenLast    = { 
	"arrow",		"storm",	"fire",		"gentle", 
	"white",		"black",	"cloud", 	"swift",
	"earth",		"honey",	"mud",		"stone",
	"tender",		"water",	"wind",		"iron"
}
local pandarenLast2   = {
	"paw",			"stout",	"eye",		"foot",
	"blossom",	"brow",		"claw",		"toe",
	"bloom",		"draft",	"wheel",	"tongue",
	"fur",			"feng",		"fist",		"lotus"
}

local taurenFirst     = {
  achak     = {   "male" }, adahy     = {   "male" }, ahanu     = {   "male" },
  ahote     = {   "male" }, akando    = {   "male" }, alo       = {   "male" },
  aranck    = {   "male" }, askook    = {   "male" }, atohi     = {   "male" },
  awan      = {   "male" }, chapa     = {   "male" }, chatan    = {   "male" },
  chesmu    = {   "male" }, cheveyo   = {   "male" }, chochan   = {   "male" },
  chan      = {   "male" }, ciqala    = {   "male" }, dakotah   = {   "male" },
  delsin    = {   "male" }, dohate    = {   "male" }, elan      = {   "male" },
  demothi   = {   "male" }, elki      = {   "male" }, enyeto    = {   "male" },
  etu       = {   "male" }, ezhno     = {   "male" }, gomda     = {   "male" },
  guyapi    = {   "male" }, hahnee    = {   "male" }, hakan     = {   "male" },
  hania     = {   "male" }, hassun    = {   "male" }, helaku    = {   "male" },
  helki     = {   "male" }, hesutu    = {   "male" }, hiam      = {   "male" },
  hevo      = {   "male" }, helak     = {   "male" }, hinto     = {   "male" },
  hotah     = {   "male" }, howi      = {   "male" }, hotua     = {   "male" },
  iqua      = {   "male" }, inteus    = {   "male" }, istu      = {   "male" },
  iye       = {   "male" }, ihuta     = {   "male" }, kachad    = {   "male" },
  kaga      = {   "male" }, kele      = {   "male" }, keme      = {   "male" },
  klah      = {   "male" }, koi       = {   "male" }, kosumi    = {   "male" },
  kuruk     = {   "male" }, kwahu     = {   "male" }, lansa     = {   "male" },
  lapu      = {   "male" }, leyto     = {   "male" }, liwanu    = {   "male" },
  lonato    = {   "male" }, lootah    = {   "male" }, mahka     = {   "male" },
  mammed    = {   "male" }, mato      = {   "male" }, milap     = {   "male" },
  mochni    = {   "male" }, mohe      = {   "male" }, moki      = {   "male" },
  nakai     = {   "male" }, nawat     = {   "male" }, nigan     = {   "male" },
  nootau    = {   "male" }, notaku    = {   "male" }, ohanko    = {   "male" },
  paco      = {   "male" }, takoda    = {   "male" }, tawa      = {   "male" },
  tsiyi     = {   "male" }, tocho     = {   "male" }, tuari     = {   "male" },

  acotas    = { "female" }, alaqua    = { "female" }, anang     = { "female" },
  aponi     = { "female" }, ankti     = { "female" }, amitola   = { "female" },
  awinita   = { "female" }, awentia   = { "female" }, catori    = { "female" },
  chepa     = { "female" }, chelan    = { "female" }, citlai    = { "female" },
  cree      = { "female" }, dehateh   = { "female" }, dyani     = { "female" },
  fala      = { "female" }, galilhai  = { "female" }, halona    = { "female" },
  hateya    = { "female" }, howea     = { "female" }, imala     = { "female" },
  inali     = { "female" }, istas     = { "female" }, iniabi    = { "female" },
  joweese   = { "female" }, kachina   = { "female" }, kaliska   = { "female" },
  keme      = { "female" }, kachina   = { "female" }, kiona     = { "female" },
  lomasi    = { "female" }, luyu      = { "female" }, macha     = { "female" },
  mahal     = { "female" }, maka      = { "female" }, manaba    = { "female" },
  miakoda   = { "female" }, mika      = { "female" }, mimiteh   = { "female" },
  nata      = { "female" }, nita      = { "female" }, nituna    = { "female" },
  nuna      = { "female" }, onawa     = { "female" }, oota      = { "female" },
  pamuy     = { "female" }, pati      = { "female" }, pavati    = { "female" },
  pazi      = { "female" }, pelipa    = { "female" }, peta      = { "female" },
  sahkyo    = { "female" }, sapata    = { "female" }, shada     = { "female" },
  sikya     = { "female" }, sipatu    = { "female" }, sitala    = { "female" },
  suni      = { "female" }, sunki     = { "female" }, tadewi    = { "female" },
  tahki     = { "female" }, taipa     = { "female" }, tama      = { "female" }, 
  tehya     = { "female" }, tiponi    = { "female" }, tiva      = { "female" }, 
  tusa      = { "female" }, tuwa      = { "female" }, yamka     = { "female" }, 
  yaokya    = { "female" }, yepa      = { "female" }, yona      = { "female" },
}
local taurenFirst2    = { } -- Non-combined names are prefered over combined ones.
local taurenLast      = { 
	"blood",		"grim",			"plains",		"sky",
	"mist",			"wild",			"winter",		"rune",
	"stone",		"thunder",	"stone",		"claw",
	"river",		"long",			"oat",			"storm",
	"swift",		"eagle",		"young",		"ice",
	"strong",		"claw",			"leaf",			"flame",
	"tree"
}
local taurenLast2     = { 
	"hoof",			"totem",		"strider",	"runner",
	"horn",			"mane",			"chaser",		"walker",
	"splitter",	"thorn",		"stalker",	"talon",
	"cloud",		"mist",			"tree",			"bark"
}

-- Yah, mon, we need dah Troll names, mon.
local trollFirst      = { 
	gadrin  = {   "male" },	jammal  = {   "male" },	jin     = {   "male" },	krah    = {   "male" },
	mal     = {   "male" },	mez     = {   "male" },	rok     = {   "male" },	sen     = {   "male" },	
  sin     = {   "male" },	vek     = {   "male" },	ven     = {   "male" },	vol     = {   "male" },	
  vor     = {   "male" },	zabra   = {   "male" },	zala    = {   "male" },	zilzi   = {   "male" },	
  zun     = {   "male" },	zul     = {   "male" }, hai     = {   "male" }, zhon    = {   "male" },
	
	ar      = { "female" },	beni    = { "female" }, jek     = { "female" },	ji      = { "female" },
	mar     = { "female" },	taz     = { "female" },	tua     = { "female" },	una     = { "female" },
	van     = { "female" },	zaga    = { "female" },	zen     = { "female" },	kea     = { "female" },
  zia     = { "female" }, sen     = { "female" }, al      = { "female" }, ze      = { "female" },
  
	
	jedda   = {    "any" }, ron     = {    "any" }, ba      = {    "any" },
}
local trollFirst2     = { 
	han     = {   "male" },	nal     = {   "male" },	noxis   = {   "male" },	shen    = {   "male" },
	shin    = {   "male" },	__thek  = {   "male" },	__tulo  = {   "male" },	__zane  = {   "male" },
	zane    = {   "male" },	zare    = {   "male" },	bo      = {   "male" }, bar     = {   "male" },
  jas     = {   "male" }, ingo    = {   "male" }, gu      = {   "male" }, jo      = {   "male" },
	
	__bara  = { "female" },	__jabi   = { "female" }, __li   = { "female" },	li      = { "female" },
	lik     = { "female" },	lokk     = { "female" },	__ro  = { "female" },	ya      = { "female" }, 
  za      = { "female" }, _zhanee  = { "female" }, ai     = { "female" }, ja      = { "female" },
  ra      = { "female" }, mara     = { "female" }, yi     = { "female" }, _jie    = { "female" },
	
	__fon   = {    "any" },	_hexx    = {    "any" },	__maz	= {    "any" },	__tabra = {    "any" },
	__zakk  = {    "any" },	zara     = {    "any" }, we     = {    "any" }, shi     = {    "any" },

	-- __jin  = {    "any" },	-- disabled. 'jin means tribal leader.
}
--trollFirst2[""]		  	= { "any" }
local trollLast       = { } -- not used.
local trollLast2      = { } -- not used.

-- Undead will be hybrid with humans/elves, and only use first names of the other races.
local undeadFirst			= { }	-- Undead seem to favour using their mortal first name.
local undeadFirst2		= { } -- Undead seem to favour using their mortal first name.
local undeadLast			= {
	"blight", "blood", 	"dark",	"death",	
	"dusk",		"gut",		"lich",	"shadow",
	"sorrow",	"hate", "venom", "tomb", 
  
}
local undeadLast2			= {
	"bane",		"blood",	"caller",	"cast",
	"caster",	"lich",		"ripper",	"shadow",
	"sorrow",	 
}

-- Worgen is hybrid with human.
local worgenFirst     = { 
	geoffrey	= {   "male" },	sven      = {   "male" }, darius    = {   "male" }, tobias    = {   "male" },
	genn      = {   "male" }, stalvan   = {   "male" }, ivar      = {   "male" }, godfried  = {   "male" },
	jason			= {   "male" }, krennan   = {   "male" }, walden    = {   "male" }, godfrey   = {   "male" },
	walt      = {   "male" },
	
	lorna			= { "female" },
	
	loren     = {    "any" },
}
local worgenFirst2    = { }
local worgenLast      = {
	"grey",		"white",	"black",	"blood",
	"mist",		"crow",		"shadow", "primal",
  "night", "silver", "dusk",
}
local worgenLast2     = { 
	"mane",		"fang",		"mantle",	"ley",
	"claw", "rage", "thorn", "bane",
}

-- Consider moving this to functional or util, and give an operator function as argument?
local function combineRandomBits(firstBits, secondBits)
  return combine(uniqueRandomsFromCartesian(firstBits, secondBits))
end

-- Consider moving this to functional or util, and give it an operator function as argument?
local function combineRandomBitsWhere(firstBits, secondBits, p)
  return combineRandomBits(filterKeysByValue(p, firstBits), filterKeysByValue(p, secondBits))
end

local function createName(gender, firstNameBits, firstNameBits2, lastNameBits, lastNameBits2)
  gender = eitherOr(gender == "androgynous", eitherOrRandom("male", "female"), gender)
  return combineWithSpace(
    combineRandomBitsWhere(
      firstNameBits,
      firstNameBits2,
      function(val) return 
        contains(gender, val)
        or
        contains( "any", val) end),
    combineRandomBits(lastNameBits, lastNameBits2)
  )
end

local function createHybridName(gender, race1FirstNameBits, race1FirstNameBits2, race1LastNameBits, race1LastNameBits2, race2FirstNameBits, race2FirstNameBits2, race2LastNameBits, race2LastNameBits2)
  gender = eitherOr(gender == "androgynous", eitherOrRandom("male", "female"), gender)
	return combineWithSpace(
		eitherOrRandom(
			combineRandomBitsWhere(
        race1FirstNameBits,
        race1FirstNameBits2,
        function(val) return
          contains(gender, val)
          or
          contains( "any", val)
        end),
			combineRandomBitsWhere(
        race2FirstNameBits,
        race2FirstNameBits2, 
        function(val) return
          contains(gender, val)
          or
          contains( "any", val) end)
		),
		eitherOrRandom(
			combineRandomBits(race1LastNameBits, race1LastNameBits2),
			combineRandomBits(race2LastNameBits, race2LastNameBits2)
		)
	)
end

local function createUndeadName(gender, tribe)
	if tribe == "human" then 
		return createHybridName(gender,
			humanFirst,    humanFirst2,    humanLast,     humanLast2,
		  humanFirst,    humanFirst2,   undeadLast,    undeadLast2
		)
	else
		return createHybridName(gender,
			bloodelfFirst, bloodelfFirst2, bloodelfLast,  bloodelfLast2,
			bloodelfFirst, bloodelfFirst2,   undeadLast,    undeadLast2
		)
	end
end

local nameGenerators = { }
nameGenerators["blood elf"]	= function(gender) return createName(      gender, bloodelfFirst, bloodelfFirst2,  bloodelfLast, bloodelfLast2) end
nameGenerators[  "draenei"]	= function(gender) return createName(      gender,  draeneiFirst,  draeneiFirst2,   draeneiLast,  draeneiLast2) end
nameGenerators[    "dwarf"]	= function(gender) return createName(      gender,    dwarfFirst,    dwarfFirst2,     dwarfLast,    dwarfLast2) end
nameGenerators[    "gnome"]	= function(gender) return createName(      gender,    gnomeFirst,    gnomeFirst2,     gnomeLast,    gnomeLast2) end
nameGenerators[   "goblin"]	= function(gender) return createName(      gender,	 goblinFirst, 	goblinFirst2,	   goblinLast,   goblinLast2) end
nameGenerators[ "half elf"]	= function(gender) return createHybridName(gender, bloodelfFirst, bloodelfFirst2,  bloodelfLast, bloodelfLast2, 
																																									humanFirst,    humanFirst2,     humanLast,    humanLast2) end
nameGenerators[ "half orc"]	= function(gender) return createHybridName(gender,      orcFirst,      orcFirst2,       orcLast,      orcLast2, 
																																									humanFirst,    humanFirst2,     humanLast,    humanLast2) end
nameGenerators[ "high elf"]	= nameGenerators["blood elf"] -- It's exactly the same as Blood Elf!
nameGenerators[    "human"]	= function(gender) return createName(      gender,    humanFirst,    humanFirst2,    humanLast,     humanLast2) end
nameGenerators["night elf"]	= function(gender) return createName(      gender, nightelfFirst, nightelfFirst2, nightelfLast,  nightelfLast2) end
nameGenerators[      "orc"]	= function(gender) return createName(      gender,      orcFirst,      orcFirst2,      orcLast,       orcLast2) end
nameGenerators[ "pandaren"]	= function(gender) return createName(      gender, pandarenFirst, pandarenFirst2, pandarenLast,  pandarenLast2) end
nameGenerators[   "tauren"]	= function(gender) return createName(      gender,   taurenFirst,   taurenFirst2,   taurenLast,    taurenLast2) end
nameGenerators[    "troll"]	= function(gender) return createName(      gender,    trollFirst,    trollFirst2,    trollLast,     trollLast2) end
nameGenerators[   "undead"]	= function(gender, tribe) return createUndeadName(gender, tribe)																								end
nameGenerators[   "worgen"]	= function(gender) return createHybridName(gender,	 worgenFirst,   worgenFirst2,   worgenLast,    worgenLast2,
																																									humanFirst,    humanFirst2,    humanLast,     humanLast2) end
nameGenerators["death knight"] = function(gender, tribe) return nameGenerators[tribe](gender) end
-- Worgen are Gilean first, and Worgen second, so they use Human names.

function generateRandomName(characterTemplate)
		return (nameGenerators[characterTemplate.getRace()] or const("No options found"))(characterTemplate.getGender(), characterTemplate.getTribe())
		-- Only undead names use the tribe currently, but passing in tribe, 
		-- while not needed will not have an effect on other functions, 
		-- so it can be done without interfering.
end

--[[
local function testAndroNames()
  print "Testing Androgynous names."
  local output = { }
  
  forEach(
    function(x)
      local name = strsplit(" ", nameGenerators["night elf"](x))
      if(name ~= "malfurionmale" and name ~= "tyrandefemale") then
        print ("faulty androgynous name found: " .. name)
      end
    end,
    replicate(10000, "androgynous")
  )  
end
testAndroNames()
]]